#
# ̺  `sirboard_data`
#

DROP TABLE IF EXISTS sirboard_data;
CREATE TABLE sirboard_data (
  sb_id int(11) NOT NULL default '0',
  sm_id varchar(10) NOT NULL default '',
  sb_num int(11) NOT NULL default '0',
  sb_thread int(11) NOT NULL default '0',
  sb_category varchar(255) NOT NULL default '',
  sb_name varchar(255) NOT NULL default '',
  sb_password varchar(255) NOT NULL default '',
  sb_email varchar(255) NOT NULL default '',
  sb_link varchar(255) NOT NULL default '',
  sb_subject varchar(255) NOT NULL default '',
  sb_content text NOT NULL,
  sb_hit int(11) NOT NULL default '0',
  sb_good int(11) NOT NULL default '0',
  mb_id varchar(20) NOT NULL default '',
  sb_datetime datetime NOT NULL default '0000-00-00 00:00:00',
  sb_ip varchar(255) NOT NULL default '',
  sb_delete tinyint(4) NOT NULL default '0',
  PRIMARY KEY (sb_id),
  KEY alternate_key_1(sm_id,sb_num,sb_thread),
  KEY alternate_key_2(sm_id,sb_delete,sb_id),
  KEY alternate_key_3(sm_id,sb_delete,sb_num,sb_thread)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `sirboard_file`
#

DROP TABLE IF EXISTS sirboard_file;
CREATE TABLE sirboard_file (
  sb_id int(11) NOT NULL default '0',
  sb_seq int(11) NOT NULL default '0',
  sb_file varchar(255) NOT NULL default '',
  PRIMARY KEY (sb_id,sb_seq)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `sirboard_master`
#

DROP TABLE IF EXISTS sirboard_master;
CREATE TABLE sirboard_master (
  sm_id varchar(10) NOT NULL default '',
  sm_subject varchar(255) NOT NULL default '',
  sm_skin_dir varchar(255) NOT NULL default '',
  sm_category_use int(11) NOT NULL default '0',
  sm_category text NOT NULL,
  sm_admin_mb_id varchar(20) NOT NULL default '',
  sm_read_level int(11) NOT NULL default '0',
  sm_write_level int(11) NOT NULL default '0',
  sm_upload_level int(11) NOT NULL default '0',
  sm_upload_enabled_ext varchar(255) NOT NULL default '',
  sm_rows int(11) NOT NULL default '0',
  sm_width int(11) NOT NULL default '0',
  sm_subject_len int(11) NOT NULL default '0',
  sm_reply_use int(11) NOT NULL default '0',
  sm_mail_super_admin int(11) NOT NULL default '0',
  sm_mail_board_admin int(11) NOT NULL default '0',
  sm_image_direct_view int(11) NOT NULL default '0',
  sm_image_width int(11) NOT NULL default '0',
  sm_head_file varchar(255) NOT NULL default '',
  sm_tail_file varchar(255) NOT NULL default '',
  sm_head_html text NOT NULL,
  sm_tail_html text NOT NULL,
  sm_body_fcolor varchar(255) NOT NULL default '',
  sm_body_bcolor varchar(255) NOT NULL default '',
  sm_title_fcolor varchar(255) NOT NULL default '',
  sm_title_bcolor varchar(255) NOT NULL default '',
  sm_content_fcolor varchar(255) NOT NULL default '',
  sm_content_bcolor varchar(255) NOT NULL default '',
  sm_link0_color varchar(255) NOT NULL default '',
  sm_link1_color varchar(255) NOT NULL default '',
  PRIMARY KEY (sm_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# ̺  `sirboard_member`
#

DROP TABLE IF EXISTS sirboard_member;
CREATE TABLE sirboard_member (
  mb_id varchar(20) NOT NULL default '',
  mb_password varchar(255) NOT NULL default '',
  mb_name varchar(255) NOT NULL default '',
  mb_email varchar(255) NOT NULL default '',
  mb_level int(11) NOT NULL default '0',
  mb_question varchar(255) NOT NULL default '',
  mb_answer varchar(255) NOT NULL default '',
  mb_register_time datetime NOT NULL default '0000-00-00 00:00:00',
  mb_register_ip varchar(255) NOT NULL default '',
  mb_time datetime NOT NULL default '0000-00-00 00:00:00',
  mb_ip varchar(255) NOT NULL default '',
  mb_user_agent varchar(255) NOT NULL default '',
  PRIMARY KEY (mb_id)
) TYPE=MyISAM;

INSERT INTO sirboard_member 
   SET mb_id = "admin",
       mb_password = PASSWORD("1234"),
       mb_name = "",
       mb_email = "admin@your-domain.co.kr",
       mb_level = "1000000000";
